package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.PtovtaContaMD;
import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;

public class RenderPtovtaContaMB implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		PtovtaContaMD ptovtaContaMD = (PtovtaContaMD) o;

        Listcell lc = new Listcell(ptovtaContaMD.getContaId().getNome());
        lc.setParent(lstm);

        lc = new Listcell(ptovtaContaMD.getContaId().getTipoDesc());
        lc.setParent(lstm);

        lc = new Listcell(ptovtaContaMD.getPercentual() != null ? BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(ptovtaContaMD.getPercentual(), LocaleUtil.getLocale()) : "0,00");
        lc.setParent(lstm);


        lstm.setAttribute("data", ptovtaContaMD);
		
	}

}
